/*01 / 26 / 2007*/

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
   #include <wx/wx.h>
#endif

#include <wx/image.h>

#include "base.h"

IMPLEMENT_APP(MainApp)

bool MainApp::OnInit()
{
   MainFrame *win = new MainFrame(_("DR's Noughts & Crosses"), wxPoint (0, 0),
     wxSize(200, 220));
   win->Show(TRUE);
   SetTopWindow(win);

   return TRUE;
}

BEGIN_EVENT_TABLE(MainFrame, wxFrame)
   EVT_MENU(ID_MAINWIN_QUIT, MainFrame::OnQuit)
   EVT_BUTTON(1, MainFrame::OnButton1Press)
   EVT_BUTTON(2, MainFrame::OnButton2Press)
   EVT_BUTTON(3, MainFrame::OnButton3Press)
   EVT_BUTTON(4, MainFrame::OnButton4Press)
   EVT_BUTTON(5, MainFrame::OnButton5Press)
END_EVENT_TABLE()

MainFrame::MainFrame(const wxString &title, const wxPoint &pos, const wxSize &size)
    : wxFrame((wxFrame *) NULL, -1, title, pos, size, 
    wxCAPTION | wxMINIMIZE_BOX | wxCLOSE_BOX | wxSYSTEM_MENU)
{
 wxSizer *sizer = new wxBoxSizer(wxVERTICAL);
 this->SetSizer(sizer);

 wxButton *button1 = new wxButton(this, 1, "Practice",wxPoint (60, 20));
 wxButton *button2 = new wxButton(this, 2, "AI first",wxPoint (60, 50));
 wxButton *button3 = new wxButton(this, 3, "Player first",wxPoint (60, 80));
 wxButton *button4 = new wxButton(this, 4, "About",wxPoint (60, 110));
 wxButton *button5 = new wxButton(this, 5, "Quit",wxPoint (60, 140));
}

void MainFrame::OnButton1Press(wxCommandEvent & WXUNUSED(event))
{
   wxExecute("noughts_crosses");
   Close(TRUE);
}

void MainFrame::OnButton2Press(wxCommandEvent & WXUNUSED(event))
{
   wxExecute("noughts_crosses --cf");
   Close(TRUE);
}

void MainFrame::OnButton3Press(wxCommandEvent & WXUNUSED(event))
{
   wxExecute("noughts_crosses --ca");
   Close(TRUE);
}

void MainFrame::OnButton4Press(wxCommandEvent & WXUNUSED(event))
{
    wxMessageBox(
    "DR's Noughts & Crosses\nPowered by SDL and wxWidgets\nLicense: LGPL\n(c)2007 DarkRanger <darkranger.no-ip.org>",
    "About DR's Noughts & Crosses",wxOK, NULL);
}

void MainFrame::OnButton5Press(wxCommandEvent & WXUNUSED(event))
{
    Close(TRUE);
}

void MainFrame::OnQuit(wxCommandEvent & WXUNUSED(event))
{
    Close(TRUE);
}

